enum { MENU_QUIT, MENU_16, MENU_32, MENU_64, MENU_128, MENU_FLAT, MENU_FRACT_1,
      MENU_FRACT_2, MENU_FRACT_3, MENU_POLAR, MENU_FLY, MENU_WALK, 
      MENU_INSERT_OBJECT, MENU_DELETE_OBJECT, MENU_PROPERTIES, MENU_EDIT_LAND,
      MENU_EDIT_OBJECT, MENU_MOVE_OBJECT, MENU_FALL_OBJECT, 
      MENU_RAISE_OBJECT, MENU_LOAD, MENU_SAVE, MENU_LEVEL
};

extern void landChanged();
/* vizview.c */
extern void displayView (void);
extern void reshapeView (int , int);
extern void setMode (int);
extern void deleteObject ();
extern void fallObject ();
extern void raiseObject();
extern void levelRegion();
/* vizfract.c */
extern void InitLand (int);
extern GLfloat **Height;
extern int Level;
extern int Dim (int);
extern int IndexOf (int, int, int);
extern void CreateLandList (int, int); /* list, material */
extern void Raise (float, float, int);
extern void RaiseRegion (float, float, float, float, int);
extern void RaiseRegionTo (float, float, float, float, float);
extern void newLand (int);
extern void landSize (int);
extern float heightAt (float, float);

/* vizmenu.c */
extern void menuFunc (int);

extern void fileDialog (int);
/* agviewer.c */
extern GLfloat Ex, Ey, Ez;

/*======================*/
/*    from Jakub        */
/*======================*/
typedef struct {
    int		isVRMLLOD;
    char	path[256];
    char	fName[4][256];
    int		radius[4];
    int		rep  [3];
    GLdouble	scale[3];
    GLfloat	rot  [3];
    float	bBox [3];
} TTexture;
extern TTexture t;
extern void redisplayAll();
extern void createTPWindow();
/**********************/
/**********************/
typedef struct {
    TTexture t;
    GLfloat pos[3];
    int list[4];		       /* gl lists */
} TexObj;
