#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>

#define MAX 128

int main(int argc, char *argv[]){

	char fileName[80];
	FILE *landFile;
	int x, y;
	int value;
	time_t timeSeed;

	srand((unsigned) time(&timeSeed));

	if (argc != 2){
		printf("%s","\nusage: generate file");
		return(1);
	}

	if ((landFile = fopen(argv[1], "wa")) == NULL){
		printf("%s%s","\nCan't open output file ", argv[1]);
		return(-1);
	}

	for (x = 0; x < MAX; x++){
		for (y = 0; y < MAX; y++){
			value = abs(110 + (rand() % 100));
			fprintf(landFile, "%d ", value);
		}
	}

	fclose(landFile);
	printf("%s", "\ndone\n");
	return(0);
}
